## krename-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( krename )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== krename/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### krename (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        guimodeselector.cpp
        firststartdlg.cpp
        tabs.cpp
        krenameimpl.cpp
        numberdialog.cpp
        coorddialog.cpp
        commandplugin.cpp
        helpdialog.cpp
        pictureplugin.cpp
        mydirplugin.cpp
        datetime.cpp
        permission.cpp
        fileplugin.cpp
        undodialog.cpp
        myinputdialog.cpp
        kmylistview.cpp
        wizard.cpp
        replacedialog.cpp
        pluginloader.cpp
        plugin.cpp
        kmylistbox.cpp
        kmyhistorycombo.cpp
        fileoperation.cpp
        confdialog.cpp
        batchrenamer.cpp
        ProgressDialog.cpp
        main.cpp
        krecursivelister.cpp
        dsdirselectdialog.cpp
        krenamedcop.skel
        dateplugin.cpp
        encodingplugin.cpp
        profiledlg.cpp
        threadedlister.cpp
        translitplugin.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

install(
    FILES ${PROJECT_NAME}.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
    FILES
        krenameservicemenu.desktop
        krename_dir.desktop
        
    DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
)

install(
    FILES
        logo.png
        krename_system_default_tabbed.xml
        krename_system_default_wizard.xml
        
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

## krename-trinity 3.5.13.2

=== debian/changelog ===
krename-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:52:35 +0200

krename-trinity (3.0.14~1ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

krename-trinity (3.0.14~0ubuntu6) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 05 March 2009 29:52:00 -0600

krename-trinity (3.0.14~0ubuntu5) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 12 Dec 2008 14:34:00 -0600

krename (3.0.14-1) unstable; urgency=low

  * New Upstream Release (Closes: #402859, #423440)
  * Adopted Package - New Maintainer & Uploaders
  * debian/control:
    - Maintainer set to Debian KDE Extras Team
    - Richard A. Johnson set to uploaders
    - updated standards to version 3.7.2 - no changes necessary
    - updated build-dep debhelper >= 5 (changes to compat)
    - added libtool and automake1.10 to build-dep for Relibtoolization
    - added Krenames URL to description
  * debian/rules:
    - cleaned out commented lines
    - Relibtoolization at build time
  * Updated debian/copyright

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri, 18 May 2007 21:54:22 -0500

krename (3.0.9-2.1) unstable; urgency=low

  * NMU.
  * Remove build dependency on g++-3.4. Closes: #385835.

 -- Matthias Klose <doko@debian.org>  Sun,  3 Sep 2006 13:41:32 +0000

krename (3.0.9-2) unstable; urgency=low

  * No more Build-Depend on xlibs-dev

 -- Roman Kreisel <roman.kreisel@web.de>  Wed, 30 Nov 2005 13:46:48 +0100

krename (3.0.9-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Fri, 28 Oct 2005 21:56:34 +0200

krename (3.0.8-1) unstable; urgency=low

  * New upstream release (Closes: #329969)

 -- Roman Kreisel <roman.kreisel@web.de>  Sat, 24 Sep 2005 19:22:44 +0200

krename (3.0.7-4) unstable; urgency=low

  * Use GCC 3.4 on arm, m68k and hppa
  * updated manpage
  * Build-Dependency on xlibs-dev
  * moved from "utils - optional" to "kde - optional"

 -- Roman Kreisel <roman.kreisel@web.de>  Tue,  6 Sep 2005 01:30:57 +0200

krename (3.0.7-3) unstable; urgency=low

  * moved from dpatch to simple-patchsys of cdbs
  * Corrected a typo in copyright-file (wrong telephone-no. of fsf)
  * No more "0 errors occurred"-Message on successful operation. Fixed by
    upstream. (Closes: #309253)

 -- Roman Kreisel <roman.kreisel@web.de>  Fri,  2 Sep 2005 16:15:32 +0200

krename (3.0.7-2) unstable; urgency=low

  * Updated/corrected german translation (Closes: #313984)

 -- Roman Kreisel <roman.kreisel@web.de>  Fri,  2 Sep 2005 14:59:04 +0200

krename (3.0.7-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Mon, 29 Aug 2005 16:13:56 +0200

krename (3.0.6-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Thu, 18 Aug 2005 15:34:07 +0200

krename (3.0.4-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Thu, 21 Apr 2005 18:00:14 +0200

krename (3.0.3-2) unstable; urgency=low

  * Initial Debian release (Closes: #286278, #279143)

 -- Roman Kreisel <roman.kreisel@web.de>  Mon, 14 Feb 2005 20:38:59 +0100

krename (3.0.3-1) unstable; urgency=low

  * New upstream release
  * Fixed Build-Depends

 -- Roman Kreisel <roman.kreisel@web.de>  Mon, 14 Feb 2005 20:27:10 +0100

krename (3.0.2-2) staging; urgency=low

  * Added debian/watch for easier updating

 -- Roman Kreisel <roman.kreisel@web.de>  Sat, 15 Jan 2005 18:46:03 +0100

krename (3.0.2-1) staging; urgency=low

  * Initial Release.

 -- Roman Kreisel <roman.kreisel@web.de>  Sun, 14 Nov 2004 23:23:38 +0100

=== debian/control ===
Source: krename-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Richard A. Johnson <nixternal@ubuntu.com> 
Build-Depends: debhelper (>= 5), quilt, cdbs, kdelibs4-trinity-dev, patchutils, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: krename-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Powerful batch renamer for KDE 3.x [Trinity]
 This package contains a very powerful batch file renamer for Trinity 
 which can rename a list of files based on a set of expressions.
 It can copy/move the files to another directory or simply rename 
 the input files.
 .
 Homepage: http://www.krename.net

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

### Libtool and Automake updates
post-patches:: debian/stamp-autothings-update
debian/stamp-autothings-update:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	for f in /usr/share/automake-1.10/*; do \
	if  test -f $$f && \
	test -f $(DEB_SRCDIR)/admin/`basename $$f`; then \
	cp -f $$f $(DEB_SRCDIR)/admin; \
	fi; \
	done

	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	touch $@

## krename-trinity 14.0.4

=== debian/changelog ===
krename-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:41:40 +0200

=== debian/control ===
Source: krename-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Richard A. Johnson <nixternal@ubuntu.com> 
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, patchutils, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: krename-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: krename-kde3 (<< 4:14.0.0~), krename-trinity (<< 4:14.0.0~)
Breaks: krename-kde3 (<< 4:14.0.0~), krename-trinity (<< 4:14.0.0~)
Description: Powerful batch renamer for TDE [Trinity]
 This package contains a very powerful batch file renamer for Trinity 
 which can rename a list of files based on a set of expressions.
 It can copy/move the files to another directory or simply rename 
 the input files.
 .
 Homepage: http://www.krename.net

## krename-trinity 14.0.5

=== debian/changelog ===
krename-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:15:55 +0200

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

### Libtool and Automake updates
post-patches:: debian/stamp-autothings-update
debian/stamp-autothings-update:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	for f in /usr/share/automake-1.10/*; do \
	if  test -f $$f && \
	test -f $(DEB_SRCDIR)/admin/`basename $$f`; then \
	cp -f $$f $(DEB_SRCDIR)/admin; \
	fi; \
	done

	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	touch $@

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://heanet.dl.sourceforge.net/sourceforge/krename/krename-(.*)\.tar\.bz2	debian  uupdate

## krename-trinity 14.0.6

=== debian/changelog ===
krename-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 09 Mar 2019 18:33:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Uploaders: Richard A. Johnson <nixternal@ubuntu.com> 
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, patchutils, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev, patchutils, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl
 Standards-Version: 3.8.4
 
 Package: krename-trinity

## krename-trinity 14.0.8

=== debian/changelog ===
krename-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Uploaders: Richard A. Johnson <nixternal@ubuntu.com> 
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev, patchutils, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, patchutils, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl
 Standards-Version: 3.8.4
 
 Package: krename-trinity

## krename-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( krename )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -69,8 +69,8 @@
 ##### directories
 
 add_subdirectory( ${PROJECT_NAME} )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 
+tde_conditional_add_subdirectory( BUILD_DOC doc )
+tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
 
 
 ##### write configure files

=== debian/changelog ===
krename-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:11:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Uploaders: Richard A. Johnson <nixternal@ubuntu.com> 
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, patchutils, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, intltool, tdelibs14-trinity-dev, patchutils, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl
 Standards-Version: 3.8.4
 
 Package: krename-trinity

## krename-trinity 14.0.10

=== debian/changelog ===
krename-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Apr 2021 12:54:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: krename-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Richard A. Johnson <nixternal@ubuntu.com> 
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, intltool, tdelibs14-trinity-dev, patchutils, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, patchutils, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl
 Standards-Version: 3.8.4
 
 Package: krename-trinity

## krename-trinity 14.0.11

=== debian/changelog ===
krename-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 22 Oct 2021 00:44:29 +0200

=== debian/control ===
Source: krename-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Uploaders: Richard A. Johnson <nixternal@ubuntu.com> 
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl
Standards-Version: 3.8.4

Package: krename-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: krename-trinity (<< 4:14.0.0~)
Breaks: krename-trinity (<< 4:14.0.0~)
Description: Powerful batch renamer for TDE [Trinity]
 This package contains a very powerful batch file renamer for Trinity 
 which can rename a list of files based on a set of expressions.
 It can copy/move the files to another directory or simply rename 
 the input files.
 .
 Homepage: http://www.krename.net

## krename-trinity 14.0.12

=== debian/changelog ===
krename-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:53 +0100

## krename-trinity 14.0.13

=== debian/changelog ===
krename-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Jun 2022 07:48:10 +0200

## krename-trinity 14.1.0

=== debian/changelog ===
krename-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## krename-trinity 14.1.1

=== debian/changelog ===
krename-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 15:24:05 +0200

## krename-trinity 14.1.2

=== debian/changelog ===
krename-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Apr 2024 15:23:50 +0200

## krename-trinity 14.1.3

=== debian/changelog ===
krename-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:23:25 +0200

## krename-trinity 14.1.4

=== debian/changelog ===
krename-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## krename-trinity 14.1.5~pre1

=== debian/changelog ===
krename-trinity (4:14.1.5~pre1-0debian13.0.0+3) trixie; urgency=low

  * Automated git build for 27ac4ea4bf36dc3bc6df8c39c0065f402e745038
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Richard A. Johnson <nixternal@ubuntu.com> 
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libx11-dev, libxext-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, perl
 Standards-Version: 3.8.4
 
 Package: krename-trinity

## krename-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( krename )
-set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -29,7 +32,6 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
 
 
@@ -69,8 +71,12 @@
 ##### directories
 
 add_subdirectory( ${PROJECT_NAME} )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
krename-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## krename-trinity 14.1.6~pre0

=== debian/changelog ===
krename-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 27ac4ea4bf36dc3bc6df8c39c0065f402e745038
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## krename-trinity 14.1.6~pre1

=== debian/changelog ===
krename-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c09d86bf87a904d43c797d2c48d8fe2712ae8bc2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:22:21 +0100

## krename-trinity 14.2.0~pre35

=== debian/changelog ===
krename-trinity (4:14.2.0~pre35-0ubuntu25.04.0+6) plucky; urgency=low

  * Automated git build for 763956e1ff885221a8618f67a077661099a978d7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## krename-trinity 14.2.0~pre36

=== debian/changelog ===
krename-trinity (4:14.2.0~pre36-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 420652e0cb4f4dba9d657f4fe57de3d506f1e320
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krename

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:15:29 +0100
